Serious Vulnerabilities Patched in Chrome, Firefox


Both Google and Mozilla released new versions of their browsers this week, addressing a variety of high-severity vulnerabilities, some of which could lead to remote code execution.

Google included a total of 32 security fixes in Chrome 81, which was finally promoted to the stable channel, after the current COVID-19 pandemic forced the Internet giant to delay stable releases and roll back some of the recently introduced protections in Chrome.

Twenty-three of the patches fix vulnerabilities reported by external security researchers, including three high-risk flaws, eight medium-severity issues, and twelve low-risk bugs.

The most severe of these is a use-after-free vulnerability in extensions (CVE-2020-6454), which was reported last year. The two other high-risk flaws were a use-after-free in audio (CVE-2020-6423) and an out-of-bounds read in WebSQL (CVE-2020-6455).

Half of the medium-severity issues were insufficient policy enforcement bugs, while the others were type confusion in V8, insufficient validation of untrusted input in clipboard, use-after-free in devtools, and use-after-free in window management.

Most of the low-severity bugs were insufficient policy enforcements too, complemented by several inappropriate implementations, uninitialized use in WebRTC, and use-after-free in V8.

Google says it paid over $26,000 in bug bounty rewards to the reporting security researchers, but the company has yet to disclose the exact amount it awarded for all of the externally reported vulnerabilities.

Mozilla, which revisited the previous decision to disable TLS 1.0 and 1.1 in its browser, this week pushed Firefox 75 to the stable channel, packing it with six security patches for the desktop, and two patches targeting vulnerabilities specific to the Android platform.

A total of three high-severity vulnerabilities were addressed in Firefox 75, two of which (CVE-2020-6825 and CVE-2020-6826) could lead to arbitrary code execution, Mozilla says. Of the two high-risk flaws specifically targeting Firefox for Android, one (CVE-2020-6828) could lead to arbitrary code execution as well, the company says.

The remaining two high-risk bugs could be exploited to leak sensitive data (CVE-2020-6821), or to trick the mobile browser into displaying the incorrect URI (CVE-2020-6827).

The remaining three vulnerabilities feature a moderate severity rating, but one of them (CVE-2020-6822) could lead to code execution as well. The other two bugs could allow a malicious extension to obtain the Auth code for the user’s account with the service provider (CVE-2020-6823), or result in generated passwords for the same site to be identical between separate private browsing sessions (CVE-2020-6824).

“Initially, a user opens a Private Browsing Window and generates a password for a site, then closes the Private Browsing Window but leaves Firefox open. Subsequently, if the user had opened a new Private Browsing Window, revisited the same site, and generated a new password – the generated passwords would have been identical, rather than independent,” Mozilla explains.

Related: Browser Makers Delay Removal of TLS 1.0 and 1.1 Support

Related: Google Rolls Back Recently Introduced Chrome CSRF Protection

Related: Firefox, IE Vulnerabilities Exploited in Attacks on China, Japan

view counter

Ionut Arghire is an international correspondent for SecurityWeek.

Previous Columns by Ionut Arghire:
Tags:

Don't forget to share

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *